
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何利用python对新浪微博用户标签进行分词并推荐相关用户 / iVAN</title>

    <meta name="description" content="如何利用python对新浪微博用户标签进行分词并推荐相关用户 新浪微博的开放平台的开发者日益活跃,除了商业因素外还有很大的一股民间工程师力量:大量热衷于群体行为研究与自然语言处理以及机器学习和数据挖掘的研究者 and 攻城师们开始利用新浪真实的数据和平台为用户提供更好的应用或者发现群体的行为规律包括一些统计信息,本文就是利用新浪开放平台提供的API对微博的用户标签进行分词处理,然后根据分词后的关键字给用户推荐感兴趣的人,在此记录下以备后用. requisition: python+sinaWeibo python SDK+ICTCLAS 备注:ICTCLA">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何利用python对新浪微博用户标签进行分词并推荐相关用户</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>新浪微博的开放平台的开发者日益活跃，除了商业因素外还有很大的一股民间工程师力量；大量热衷于群体行为研究与自然语言处理以及机器学习和数据挖掘的研究者 and 攻城师们开始利用新浪真实的数据和平台为用户提供更好的应用或者发现群体的行为规律包括一些统计信息，本文就是利用新浪开放平台提供的API对微博的用户标签进行分词处理，然后根据分词后的关键字给用户推荐感兴趣的人，在此记录下以备后用。</p>
<p>requisition:</p>
<p>python+sinaWeibo python SDK+ICTCLAS</p>
<p>备注：ICTCLAS是中国科学院计算技术研究所提供的中文分词包</p>
<p>开始上代码：</p>
<p>1.先要注册新浪开发者以获得APP_KEY和APP_SECRET</p>
<p>2.根据python SDK的howto根据Authou2机制获得授权(得到code进而得到access_token与expires_in),代码如下：</p>
<pre>
#-*-coding:UTF-8-*-
'''
Created on 2012-12-10

@author: jixianwu
'''
from weibo import APIClient,APIError
import urllib,httplib

class AppClient(object):
    ''' initialize a app client '''
    def __init__(self,*aTuple):
        self._appKey = aTuple[0] #your app key
        self._appSecret = aTuple[1] #your app secret
        self._callbackUrl = aTuple[2] #your callback url
        self._account = aTuple[3] #your weibo user name (eg.email)
        self._password = aTuple[4] # your weibo pwd
        self.AppCli = APIClient(app_key=self._appKey,app_secret=self._appSecret,redirect_uri=self._callbackUrl)
        self._author_url = self.AppCli.get_authorize_url()
        self._getAuthorization()

    def __str__(self):
        return 'your app client is created with callback %s' %(self._callbackUrl)

    def _get_code(self):#使用该函数避免了手动输入code，实现了模拟用户授权后获得code的功能
        conn = httplib.HTTPSConnection('api.weibo.com')
        postdict = {"client_id": self._appKey,
             "redirect_uri": self._callbackUrl,
             "userId": self._account,
             "passwd": self._password,
             "isLoginSina": "0",
             "action": "submit",
             "response_type": "code",
             }
        postdata = urllib.urlencode(postdict)
        conn.request('POST', '/oauth2/authorize', postdata, {'Referer':self._author_url,'Content-Type': 'application/x-www-form-urlencoded'})
        res = conn.getresponse()
        location = res.getheader('location')
        code = location.split('=')[1]
        conn.close()
        return code

    def _getAuthorization(self):#将上面函数获得的code再发送给新浪认证服务器，返回给客户端access_token和expires_in，有了这两个东西，咱就可以调用api了
        ''' get the authorization from sinaAPI with oauth2 authentication method '''
        code = self._get_code()
        r = self.AppCli.request_access_token(code)
        access_token = r.access_token # The token return by sina
        expires_in = r.expires_in
        self.AppCli.set_access_token(access_token, expires_in)</pre>
<p>3.根据api获得用户标签：</p>
<pre>
def getTags(self,userid):
        ''' get last three tags stored by weight of this user'''
        try:
            tags = self.AppCli.tags.get(uid=userid)
        except Exception:
            print 'get tags failed'
            return
        userTags = []
        sortedT = sorted(tags,key=operator.attrgetter('weight'),reverse=True)
        if len(sortedT) &gt; 3:
            sortedT = sortedT[-3:]
        for tag in sortedT:
            for item in tag:
                if item != 'weight':
                    userTags.append(tag[item])
        return userTags</pre>
<p>4.获得用户以关注的人：</p>
<pre>
def getFocus(self,userid):
        ''' get focused users list by current user '''
        focus = self.AppCli.friendships.friends.ids.get(uid=userid)
        try:
            return focus.get('ids')
        except Exception:
            print 'get focus failed'
            return</pre>
<p>5.对3中获得的用户标签进行分词处理：(之前要写个class进行分词处理，本文最后给出完整源码)</p>
<pre>
from wordSegmentation import tokenizer

tkr = tokenizer()
        #concatenate all the tags of the user into a string ,then segment the string
        for tag in userTags:
            utf8_tag = tag.encode('utf-8')
            #print utf8_tag
            lstrwords += utf8_tag
        words = tkr.parse(lstrwords)</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索新浪<br />
                    ，                return<br />
                    ，                appkey<br />
                    ，                python tokenize<br />
                    ，                关于ictclas<br />
                    ，                ictclas<br />
                    ，                ictclas 分词 nipir<br />
                    ，                用户<br />
                    ，                python分词<br />
                    ，                self get<br />
                    ，                ictclas分词系统<br />
                    ，                oauth2<br />
                    ，                code<br />
                    ，                access_token<br />
                                    Self<br />
                                    新浪分词、新浪云分词、新浪中文分词、新浪分词接口、新浪提供的分词工具，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:18:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/return/" title="return">return</a>, <a href="https://www.iamivan.net/tag/code/" title="code">code</a>, <a href="https://www.iamivan.net/tag/%e6%96%b0%e6%b5%aa/" title="新浪">新浪</a>, <a href="https://www.iamivan.net/tag/self/" title="Self">Self</a>, <a href="https://www.iamivan.net/tag/python%e5%88%86%e8%af%8d/" title="python分词">python分词</a>, <a href="https://www.iamivan.net/tag/%e5%85%b3%e4%ba%8eictclas/" title="关于ictclas">关于ictclas</a>, <a href="https://www.iamivan.net/tag/ictclas/" title="ictclas">ictclas</a>, <a href="https://www.iamivan.net/tag/ictclas-%e5%88%86%e8%af%8d-nipir/" title="ictclas 分词 nipir">ictclas 分词 nipir</a>, <a href="https://www.iamivan.net/tag/ictclas%e5%88%86%e8%af%8d%e7%b3%bb%e7%bb%9f/" title="ictclas分词系统">ictclas分词系统</a>, <a href="https://www.iamivan.net/tag/python-tokenize/" title="python tokenize">python tokenize</a>, <a href="https://www.iamivan.net/tag/appkey/" title="appkey">appkey</a>, <a href="https://www.iamivan.net/tag/access_token/" title="access&lowbar;token">access&lowbar;token</a>, <a href="https://www.iamivan.net/tag/self-get/" title="self get">self get</a>, <a href="https://www.iamivan.net/tag/oauth2/" title="oauth2">oauth2</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何利用python对新浪微博用户标签进行分词并推荐相关用户的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQxmnp.html" rel="bookmark">整合数据 百分点发布用户标签管理系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章讲的是整合数据 百分点发布用户标签管理系统,2015年12月23日,中国领先的大数据技术与应用服务商百分点集团发布用户标签管理系统,作为一款生产.管理用户标签生命周期的大数据工具,该系统旨在基于百分点UTT模型,自动化生产用户标签,主动拥抱业务场景,支撑基于用户细分的多场景应用. 百分点用户标签管理系统是一款生产用户标签,并管理标签生命周期的大数据工具,主要面向生产制造.金融.电信.零售和快消等行业,帮助相关企业通过用户标签管理来提升业务精准度.它可以帮助企业实现数据资产的沉淀,打造数据驱动			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmo65z.html" rel="bookmark">Python模拟新浪微博登录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看到一篇Python模拟新浪微博登录的文章,想熟悉一下其中实现方式,并且顺便掌握python相关知识点. 代码 下面的代码是来自上面这篇文章,并稍作修改添加了一些注释. # -*- coding: utf-8 -* import urllib2 import urllib import cookielib import lxml.html as HTML class Fetcher(object): def __init__(self, username=None, pwd=None, cook			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnXVPWb.html" rel="bookmark">基于Python的新浪微博数据爬虫</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于Python的新浪微博数据爬虫 周中华; 张惠然; 谢江 目前很多的社交网络研究都是采用国外的平台数据,而国内的新浪微博没有很好的接口方便研究人员采集数据进行分析.为了快速地获取到微博中的数据,开发了一款支持并行的微博数据抓取工具.该工具可以实时抓取微博中指定用户的粉丝信息.微博正文等内容;该工具利用关键字匹配技术,匹配符合规定条件的微博,并抓取相关内容;该工具支持并行抓取,可以同时抓取多个用户的信息.最后将串行微博爬虫工具和其并行版本进行对比,并使用该工具对部分微博数据作了一个关于流感问题			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VzwykkM.html" rel="bookmark">利用Python实现简单的相似图片搜索的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  利用Python实现简单的相似图片搜索的教程         这篇文章主要介绍了利用Python实现简单的相似图片搜索的教程,文中的示例主要在一个图片指纹数据库中实现,需要的朋友可以参考下 大概五年前吧,我那时还在为一家约会网站做开发工作.他们是早期创业公司,但他们也开始拥有了一些稳定用户量.不像其他约会网站,这家公司向来以洁身自好为主要市场形象.它不是一个供你鬼混的网站--是让你能找到忠实伴侣的地方. 由于投入了数以百万计的风险资本(在US大萧条之前),他们关于真爱并找寻灵魂伴侣的在线广告			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yaJQz.html" rel="bookmark">新浪微博API开发简介之PHP基础篇-用户授权</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在玩微博的人越来越多了,而关于微博的第三方应用开发也越来越多,自己在偶然间开始接触了新浪微博API开发,新浪微博API开发的资源比较多,新浪微博提供了一个开发者的平台,网址是:http://open.weibo.com,它里面有很全面的新浪微博开发的资料,包括开发者的使用和介绍,各种语言的API函数介绍文档,SDK等多种资料. 自己在开发和学习的过程中,感觉虽然没有太大难度,但还是有一些问题是需要我们注意的,今天就我在开发和学习的过程中,简单的对利用PHP进行新浪微博API开发的内容进行一个整			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOa7qqM.html" rel="bookmark">利用Python Paramiko开发linux堡垒机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Paramiko模块下的demo.py程序     前面利用Python中的Paramiko模块可以进行SSH的连接,以及用来传送文件(SFTP),但是无论是哪一种方式,连接都是短暂的,并非是长连的,即一次执行一个命令或上传与下载一个文件,显然效率是不如直接使用Linux shell下的ssh连接命令来进行连接.其实在将Paramiko的源码解压出来后,里面有一个demo的文件夹,里面有一个demo.py的程序,利用它,我们就可以进行长连接,即像ssh一样连接远程主机: 1 2 3 4 5			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M60mdAz.html" rel="bookmark">Linux下利用 Python连接mysql数据库一个很好的例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文转载自:http://my.oschina.net/davehe/blog/128361 1 安装Python的Mysql包 root@10.1.1.45:~# apt-get install python-mysqldb root@10.1.1.45:~# python Python 2.5.2 (r252:60911, Jan 4 2009, 21:59:32) [GCC 4.3.2] on linux2 Type &quot;help&quot;, &quot;copyright&quot;,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0nVwp.html" rel="bookmark">利用Python实现图书超期提醒&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.模拟登录图书馆管理系统 我们可以先看一下登录页面(很多学校这些管理系统页面就是很low): 两种方式去模拟登录图书馆: 1. 构造登录表单进行模拟登录 这种方式模拟登录似乎是很可靠的,但有时候就是在验证码获取上很困难,如果简单的网站,有的会利用当前时间戳来构造验证码,这种就很容易从网页上观察出来,但比如我们这次要模拟登录的网站似乎是不能这样做,因为它是使用JavaScript标准库里的Math函数直接随机生成的验证码链接,可以从下面图片上观察验证码处的代码: 它使用Math.random()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLBdmLb.html" rel="bookmark">短文本分析----基于python的TF-IDF特征词标签自动化提取</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				绪论 最近做课题,需要分析短文本的标签,在短时间内学习了自然语言处理,社会标签推荐等非常时髦的技术.我们的需求非常类似于从大量短文本中获取关键词(融合社会标签和时间属性)进行用户画像.这一切的基础就是特征词提取技术了,本文主要围绕关键词提取这个主题进行介绍(英文). 不同版本python混用(官方用法) Python2 和python3 是一个神一般的存在,如何让他们共存呢,直到我用了pycharm我才知道为啥这么多人选择它,如下图所示配置两个目录直接可以混用了,叼炸天. 插播一个广告,想修改p			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1lRjb.html" rel="bookmark" class="title">超全面的移动端尺寸基础知识科普指南</a>
					<div>
						  初涉移动端设计和开发的同学们,基本都会在尺寸问题上纠结好一阵子才能摸到头绪.我也花了很长时间才弄明白,感觉有必要写一篇足够通俗易懂的教程来帮助大家.从原理说起,理清关于尺寸的所有细节.由于是写给初 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9W3Xz.html" rel="bookmark" class="title">Schema中定义空元素</a>
					<div>
						XSD例子,如下:&lt;xs:element name=&quot;Book&quot; type=&quot;BookType&quot; nillable=&quot;true&quot; /& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk52Ob.html" rel="bookmark" class="title">JS面向对象方法&colon;图片不间断向左滚动代码</a>
					<div>
						文章简介:图片无缝向左滚动的JAVASCRIPT代码,本文是一个实例,webjx网友可以把图片地址改为自己的图片地址在本地浏览测试. 图片无缝向左滚动的JAVASCRIPT代码,本文是一个实例,web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzwg4Ez.html" rel="bookmark" class="title">用DreamWeaver定制网站的颜色</a>
					<div>
						dreamweaver DW4出台也有相当一段时间了,众多体贴的新功能让设计师们兴奋了好久.这其中比较瞩目的就是新的Assets面板.作为一个Web设计师来说效率是十分重要的,DW4的Asset可以让 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJYq2p.html" rel="bookmark" class="title">RS&period;OPEN SQL&comma;CONN&comma;A&comma;B 全接触&excl;</a>
					<div>
						RS.OPEN SQL,CONN,A,B A: ADOPENFORWARDONLY(=0) 只读,且当前数据记录只能向下移动 ADOPENKEYSET(=1) 只读,当前数据记录可自由移动 ADOPE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw4qZz.html" rel="bookmark" class="title">PS制作有质感的可爱牛奶字</a>
					<div>
						  先保存下面的背景图片(右击图片&quot;另存为&quot;),再用PS打开 鸡腿的制作步骤如下: 单击&quot;通道&quot;面板的新建按钮,创建一个通道,如下图 在该通道输入文字,字体:C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1AOdb.html" rel="bookmark" class="title">电脑网卡驱动程序不正常怎么办</a>
					<div>
						  1.使用 Windows Update.您可能需要将 Windows Update 设置为自动下载并安装推荐的更新.安装任何重要.推荐和可选的更新即可更新系统功能和其他软件(可能对修复网络连接问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx46mb.html" rel="bookmark" class="title">PNAS：绘制情绪图谱，人类内心的表情包其实很丰富</a>
					<div>
						传统的心理学观点把人类情绪分为快乐.悲伤.愤怒.恐惧.惊讶.厌恶等6个基本类别.近日,UC Berkeley的一项新研究向这个心理学中长期存在的假设发起了挑战.研究人员利用一种新统计模型分析了800多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE62B6M.html" rel="bookmark" class="title">从0开始构建一个属于你自己的PHP框架</a>
					<div>
						如何构建一个自己的PHP框架 为什么我们要去构建一个自己的PHP框架?可能绝大多数的人都会说&quot;市面上已经那么多的框架了,还造什么轮子?&quot;.我的观点&quot;造轮子不是目的,造轮子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm3e9b.html" rel="bookmark" class="title">linux php mysql数据库备份实现代码&lowbar;php技巧</a>
					<div>
						但是出现了问题: 第一.运行php的是apche的用户,比如是nobody,那么它一般是没有权限访问/usr/local/mysql/data目录的 第二.就算能够访问,那么你如何能够把/usr/lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmOy5b.html" rel="bookmark" class="title">数据库-怎么把MySql数据转换成Mongodb数据，跪求大神解答</a>
					<div>
						问题描述 怎么把MySql数据转换成Mongodb数据,跪求大神解答 现在要做全国4级联动,想用Ajax做,但数据量太大.好不容易把数据导成sql的了, 但是数据库要用mongodb,不知道怎么弄了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RlxBb.html" rel="bookmark" class="title">MVC架构登录模块，新闻发布模块</a>
					<div>
						问题描述 我才开始学JSP,自己在学用MVC架构登录模块和新闻发布模块,不过感觉越写越乱.在网上也没有找到相关的资源.很多时候.jsp里面有夹带一些函数,有时写类又不知道如何入手,连接又出问题.谁有这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkedwEb.html" rel="bookmark" class="title">ext grid 数据加载成功，却显示不了数据</a>
					<div>
						问题描述 我的grid从后台加载数据成功,却显示不了数据 !整体布局是一个viewport,左侧树形,右侧表格,当我单击树形的值时,在表格显示结果.========================== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq3L7p.html" rel="bookmark" class="title">电商社区化布局升温 O2O实体店长势骨感</a>
					<div>
						广州海珠区客村东大街的&quot;生利&quot;便利店,门前窄道上人来人往,但摆在店面最显眼位置的&quot;开店宝&quot;,却很难引起路人及顾客的兴趣. 瞄向社区电商的不只拉卡拉.今年5月,顺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEYY2M.html" rel="bookmark" class="title">Android应用--QR的生成（二维码）</a>
					<div>
						Android应用--QR的生成(二维码)  什么是ZING,你真的理解吗? 二维码的定义:          二维码(2-dimensional bar code),是用某种特定的几何图形按一定规律 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNXxGM.html" rel="bookmark" class="title">老板你造吗，广告费50&percnt;都被浪费了</a>
					<div>
						买衣服上淘宝,吃饭上大众点评,看新闻上微博,蹲马桶翻微信.在消费习惯和生活习惯被互联网与移动互联网搅得天翻地覆时,不少企业老板发现,传统的硬广投放效果一天不如一天:品牌总监拿着全年的广告预算,不知如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60EYWz.html" rel="bookmark" class="title">springmvc&plus;shiro用户登录后更改用户名怎么样更新subject中的principal</a>
					<div>
						问题描述 用户登录后,有一个功能是修改用户信息,比如用户名,当更改过用户名后,页面顶部显示的用户信息是从之前登录时在realm中生成的AuthenticationInfo,这里面的用户名还是修改之前的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJPeWp.html" rel="bookmark" class="title">java&period;lang&period;IllegalArgumentException&colon; Cannot convert value of type &lbrack;com&period;ssh&period;dao&period;im</a>
					<div>
						问题描述 org.springframework.beans.factory.BeanCreationException:Errorcreatingbeanwithname'userService'd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0gylp.html" rel="bookmark" class="title">七匹狼连续两年新品被指山寨产品多次被曝质量问题</a>
					<div>
						七匹狼名士高级定制秀现场T台上准备了两部超市版滚梯Louis Vuitton 2011秋冬女装T台上侍从为设计师马克?雅各布拉开电梯门.华谊兄弟旗下男星演绎七匹狼名士高级定制秀中国经济网北京7月10日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeQWkM.html" rel="bookmark" class="title">jQuery学习笔记之jQuery的Ajax（3）</a>
					<div>
						jQuery学习笔记之jQuery的Ajax(3) 6.jQuery的Ajax插件 源码地址: https://github.com/iyun/jQueryDemo.git ------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJkZ5p.html" rel="bookmark" class="title">07年度在线地图报告出炉用户达4500万</a>
					<div>
						特别是作为战略合作伙伴的如百度.MSN.YAHOO等,都是中国互联网行业的巨头,为Mapbar提供了大量访问量来源:另外包括旅游出行等行业网站中,大部分选择了Mapbar为合作伙伴,如携程.艺龙.芒果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QYBdM.html" rel="bookmark" class="title">关于POST协议中的编码问题</a>
					<div>
						问题描述 假设一个表单如下:用户名:&lt;inputtype=&quot;text&quot;name=&quot;username&quot;/&gt;密码:&lt;inputtype=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Zrevb.html" rel="bookmark" class="title">ASP&period;NET中DataTable与DataSet之间的转换示例&lowbar;实用技巧</a>
					<div>
						DataSet包含了多个DataTable,以及DataTable之间的约束关系. 如果你的数据不需要做关系映射,直接用DataTable效率比较高.如果有需要1:N或N:M这样的关系查询,将Data ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NDG6z.html" rel="bookmark" class="title">javascript null 与undefined区别与总结</a>
					<div>
						这里收藏了关于js中null与undefined两个提示的区别分析,对各个初学者应该会有不小的用处哦. 总所周知: null == undefined 但是: null !== undefined 那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZQXmz.html" rel="bookmark" class="title">C&num;调用C语言结DLL 结构体不会封装，怎么在C&num;中对应C语言的结构体呢</a>
					<div>
						问题描述 //决策树节点typedefstruct{char*RecordData[1000][100];//训练数据intRecord_Number;/*训练数据的行数*/intAttribute_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NZR5p.html" rel="bookmark" class="title">Java程序员学习流程</a>
					<div>
						问题描述 对Java很感兴趣,现在在学j2se,想知道怎样才能成为一名合格的java程序员呢? 解决方案 解决方案二:我一直用的java,简单说说我的想法,仅供参考.我一开始学java的时候是看基础书 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7PPVb.html" rel="bookmark" class="title">保存远程图片函数修改正版&lowbar;小偷&sol;采集</a>
					<div>
						趁今天有空,修正了一下这个函数,经测试,在本地服务器通过,在空间商服务器也可正常使用,没发现错误.我的卡巴斯基不报毒了.^_^ 只要修改一下,这个函数是放在哪个网站都适用的.在此只与添加图片为例说明一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6G6JM.html" rel="bookmark" class="title">Twitter总统之夜推文超7500条 远超2012年纪录</a>
					<div>
						据美国科技信息网站DigitalTrends11月9日报道,推特(Twitter)称,在美国东部时间凌晨3点,特朗普竞选总统胜利之时,关于总统竞选结果的推文数量超过7500万条,远远高于2012年选举 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZm7qBp.html" rel="bookmark" class="title">中移动搏杀互联网：支付阅读视频游戏无所不包</a>
					<div>
						中国移动对互联网的目标愈发清晰,就是要编织一张依托其上.无处不在的移动互联网 中国移动搏杀互联网 3月22日,国家广电总局最高级别的年度盛会--CCBN2010(中国国际广电信息展览会)开幕,中国移动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdGOdz.html" rel="bookmark" class="title">物联网感测渐趋成熟 工厂环境更为安全</a>
					<div>
						一般而言,工业安全需要注意的风险,包括空间拥挤脏乱时,易发生跌倒.滑倒.坠落.切割擦伤.物体倒塌飞落.器械爆炸等危害,以及噪音.灰尘.温度过低或过高.照明采光等物理性职业伤害,也包括游离性辐射,如医用 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
